[InputConfigurations]
IFO: L1
# Data source should be set to frames or lvshm
DataSource: lvshm
FileChecksum: No
# Right now, SkipBadFiles needs to be off when reading from frames
SkipBadFiles: No

###################################################
# If reading from shared memory use these options #
###################################################
RawSHMPartition: LLO_Online
HoftSHMPartition: X1LLO_Data 
# Assumed duration of input frames in seconds
RawInputFrameDuration: 1
HoftInputFrameDuration: 1
# If there is no raw data coming in, we can begin to fill in missing data with zeros after this amount of time.  Set to 0.0 to disable.
WaitTime: 10.0

[OutputConfigurations]
WriteFrames: False
WriteKafka: True
PrintToScreen: False

[TFConfigurations]
Window: hann
InterpMethod: linear
pyDARMConfigs: /home/cal/ifo/L1/pydarm_L1.ini
FFTLength: 16
Cadence: 8
Endstation: True

[MonitoringConfigurations]
KafkaServer: kafka3.ldas.ligo-la.caltech.edu:9092

[DebuggingConfigurations]
# If you want to write a pipeline graph, provide the graph name.  Otherwise, set name equal to None
PipelineGraphFilename: None
Verbose: Yes

[ChannelNames]
########################
# Strain Channel Names #
########################
CALCSStrainChannels: ["CAL-DELTAL_EXTERNAL_DQ"]
CALCSStrainTags: ["CALCS_STRAIN"]
GDSStrainChannels: ["GDS-CALIB_STRAIN"]
GDSStrainTags: ["GDS_STRAIN"]
######################
# Pcal Channel Names #
######################
PcalChannels: ["CAL-PCALX_RX_PD_OUT_DQ", "CAL-PCALY_RX_PD_OUT_DQ"]
PcalTags: ["PCALX", "PCALY"]
#################################
# Oscillator Freq Channel Names #
#################################
FreqsFromChannel: True
OscillatorFreqChannels: ["CAL-PCALX_PCALOSC5_OSC_FREQ","CAL-PCALX_PCALOSC6_OSC_FREQ","CAL-PCALX_PCALOSC7_OSC_FREQ","CAL-PCALX_PCALOSC8_OSC_FREQ","CAL-PCALX_PCALOSC9_OSC_FREQ","CAL-PCALY_PCALOSC1_OSC_FREQ","CAL-PCALY_PCALOSC2_OSC_FREQ","CAL-PCALY_PCALOSC3_OSC_FREQ"]
OscillatorFreqTags: ["PCALX_F5", "PCALX_F6", "PCALX_F7", "PCALX_F8", "PCALX_F9", "PCALY_F1", "PCALY_F2", "PCALY_F3"]
########################
# State Vector Channel #
########################
SVFromRawFrames: True
StateVectorChannel: GRD-ISC_LOCK_OK
SVTag: LOCK

[Metrics]
MagThreshold: 0.1
PhaseThreshold: 10

[SampleRates]
# Sample rate at of strain channels
HoftSR: 16384
# Sample rate of pcal channels
PcalSR: 16384
# Sample rate of the oscillator frequency channels
OscFreqSR: 16
# Sample rate of the state vector
SVSR: 16

[PipelineConfigurations]
BufferLength: 1.0
